Generated code had unterminated string in first check, causing future check to fail
remotes/origin/2.0
Jake Guffey 13 years ago
parent 995265d4a6
commit 613305e923
  1. 9
      conf/type/__pf_apply/gencode-remote

@ -33,7 +33,7 @@ if [ -f "${rcvar}.old" ]; then # rcvar.old exists, we must need to disable pf
# If it already is disabled, pfctl -d returns 1, go on with life
pfctl -d
# Cleanup
rm -f "${rcvar}.old
rm -f "${rcvar}.old"
# This file shouldn't exist, but just in case...
[ -f "${rcvar}" ] && rm -f "${rcvar}"
elif [ -f "${rcvar}.new" ]; then # rcvar.new exists, we must need to apply it
@ -43,12 +43,15 @@ elif [ -f "${rcvar}.new" ]; then # rcvar.new exists, we must need to apply it
pfctl -f "${rcvar}"
ret="$?"
# Cleanup
rm -f "${rcvar}.old
rm -f "${rcvar}.old"
# This file shouldn't exist, but just in case...
[ -f "${rcvar}" ] && rm -f "${rcvar}"
if [ "$ret" -ne "0" ]; then # failed to configure new ruleset
echo "Failed to configure the new ruleset on ${__target_host}\!" >&2
echo "Failed to configure the new ruleset on ${__target_host}!" >&2
fi
else # neither ${rcvar}.old nor ${rcvar}.new exist? error.
echo "Neither ${rcvar}.old nor ${rcvar}.new exist! Something is wrong." >&2
exit 1
fi
EOF

Loading…
Cancel
Save